print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local tomatoHudFile = "Paletten/hud_fill_tomato.dds"
	local tomatoHudFileSmall = "Paletten/hud_fill_tomato_smal.dds"
	
    local tomatoFilType = g_fillTypeManager:addFillType("TOMATO", g_i18n:getText("tomato"), true, pricebeer * 0.8, 0.00045, math.rad(10), tomatoHudFile, tomatoHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hastomato=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hastomato=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "TOMATO" then
		hastomato=true
	end;
		
end;

		if hasmaize and not hastomato then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("TOMATO")
		local price = g_fillTypeManager:getFillTypeByName("TOMATO").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("TOMATO")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)